XEDIT(1)

NAME
Xedit - The MATE Text Editor

SYNOPSIS
xedit [OPTIONS...] [FILES...]

DESCRIPTION
Xedit is the official text editor of the MATE desktop environment. While aiming at simplicity and ease of use, Xedit is a powerful general purpose text editor. It can be used to create and edit all sorts of text files.

Xedit features a flexible plugin system which can be used to dynamically add new advanced features to Xedit itself.

This manual page briefly documents the xedit command.

OPTIONS

filename(s)...
    Specifies the file to open when xedit starts. If this is not specified, xedit will start a new, blank file with an "Unsaved Document" label. Multiple files can be loaded if they are separated by spaces. xedit also supports handling of remote files.

--display=DISPLAY
    X display to use.

--encoding
    Set the character encoding to be used for opening the files listed on the command line.

--new-window
    Create a new toplevel window in an existing instance of xedit.

--new-document
    Create a new document in an existing instance of xedit, on the last Xedit window that had focus.

+[num]
    For the first file, go to the line specified by "num" (do not insert a space between the "+" sign and the number). If "num" is missing, go to the last line.

--list-encodings
    Display list of possible values for the encoding option and exit

--version
    Output version information and exit

-?, -h, --help
    Print standard command line options.

--help-all
    Print all command line options.

This program also accepts the standard GTK options.

EXAMPLES
xedit --encoding WINDOWS-1252 ftp://ftp.kernel.org/pub/linux/kernel/README
    Open the Linux Kernel README file from kernel.org's FTP server using Windows-1252 character encoding.

xedit +156 http://mate-desktop.org/
    Open the main web page of mate-desktop.org and jump to line 156.

xedit --new-window ~/.bashrc ~/.bash_history
    Open the current users .bashrc and .bash_history files in a new Xedit window.

BUGS

  Should you encounter any bugs, they may be reported at:
http://github.com/mate-desktop/xedit/issues

NOTES
This version of the Xedit Manual Page was written with Xedit. =)

AUTHORS

  This Man Page has been updated/re-written for the MATE Desktop Environment by:
Adam Erdman <hekel@archlinux.info> (2014)

HISTORY

  Some portions of this manual were originally written by Gedit's previous developers, to accompany it in the GNOME Desktop Environment by:
Paolo Maggi <paolo@gnome.org>
Paolo Borelli <pborelli@katamail.com>
James Willcox <jwillcox@gnome.org>
Federico Mena Quintero <federico@novell.com>
Chema Celorio
(2000-2010)

SEE ALSO

  Xedit documentation can be found from the "Help" menu, or by pressing the F1 key.
Further information may also be available at: http://wiki.mate-desktop.org/docs